Submit interval meter records and instantly calculate energy cost
Ingests a meter record and immediately returns the monetary value of imported or exported energy.
- For device metering, submit records with device_id and locaiton_id.
- For location metering (for example, a main supply meter), submit records with location_id.
Meter records submitted through this endpoint are permanently stored and can be used by other cost calculation endpoints.
Authorizations
Authenticate with bearer you obtained from authentication endpoint.
Query Parameters
Set to true to avoid storing metering records permanently. Use for simulating consumption to estimate potential energy costs.
Body
Flatpeak location_id that you are submitting metering records for.
"loc_641b90b758fb8e6293716e40"
Energy flow direction. Set to INBOUND or OUTBOUND. Defaults to INBOUND.
"INBOUND"
Energy transferred in kilowatt hours. Negative numbers represent export.
1.657
Metering record start time. In RFC3339 format, e.g. 2023-06-15T09:00:00Z or with time-offset, e.g. 2023-06-15T08:00:00+01:00.
"2022-02-01T10:30:00Z"
Metering record end time. In RFC3339 format, e.g. 2023-06-15T09:00:00Z or with time-offset, e.g. 2023-06-15T08:00:00+01:00.
"2022-02-01T11:00:00Z"
Flatpeak device_id you are submitting metering records for. If you provided both location_id and device_id, your records will be attributed to device_id.
"dev_65e6d8334c8d715963d99db3"
A reference for a group of metering records, for example, a charging session ID.
"SESSION1234567890"
A reference for this metering record, for example, meter log ID.
"MET1234567890"
Response
Flatpeak account id.
"acc_661677911f2197045e6cf1b1"
Flatpeak unique object ID that represents this response.
"ecs_65ea3fb185c1541f247c251e"
Flatpeak object type. I.e. energy_cost.
"energy_cost"
Flatpeak object location_id or device_id cost data is for.
"dev_65e6d8334c8d715963d99db3"
Has the value true if the object exists in live mode or the value false if the object exists in test mode.
The timezone at the location, in 'tz database format'. I.e. 'Europe/Berlin'.
"Europe/London"
Currency code for cost of energy measure. Always returned in large currency units.
"EUR"

